#!/bin/bash

package=jena-fuseki
version=-1.0.0

progname=$0

source ../cascade-make/lib/cascade-lib.bash GEXT_JENA ../.. $*

prefix=$GEXT_JENA # Pure Java, so no need for OS dependant directory

opt_run_untar $force_untar $auto_untar $package $version
#opt_run_configure $force_config $auto_config $package $version $prefix

#opt_run_make $compile $package $version
#opt_run_make $install $package $version "install"
#opt_run_make $clean $package $version "clean"
#opt_run_make $distclean $package $version "distclean"

if [ $install = "1"  ] ; then

  if [ ! -d "$GEXT_JENA/bin" ] ; then
    mkdir "$GEXT_JENA/bin"
  fi

  if [ ! -d "$GEXT_JENA/bin/script" ] ; then
    mkdir "$GEXT_JENA/bin/script"
  fi

  pushd "$package$version"

  echo "===="
  echo "= Installing Fuseki"
  echo "===="
  echo "= Installing server-side scripts"
  /bin/cp fuseki-server $GEXT_JENA/bin/script/.
  chmod a+rx $GEXT_JENA/bin/script/fuseki-server
  /bin/cp fuseki-server.bat $GEXT_JENA/bin/script/.
  chmod a+rx $GEXT_JENA/bin/script/fuseki-server.bat

  /bin/cp fuseki $GEXT_JENA/bin/script/.
  chmod a+rx $GEXT_JENA/bin/script/fuseki

  /bin/cp fuseki-server.jar $GEXT_JENA/.
  chmod a+r $GEXT_JENA/fuseki-server.jar

  echo "= Installing client-side scripts"
  /bin/cp s-* $GEXT_JENA/bin/script/.
  chmod a+rx $GEXT_JENA/bin/script/s-*


  echo "= Installing configuration files"
#  /bin/cp config.ttl $GEXT_JENA/.
#  chmod a+r $GEXT_JENA/config.ttl

  /bin/cp -r pages $GEXT_JENA/etc/.
  chmod -R a+r $GEXT_JENA/etc/pages

  /bin/cp log4j.properties $GEXT_JENA/.
  chmod a+r $GEXT_JENA/log4j.properties

  echo "===="
  echo ""

  popd
fi

opt_run_tarclean $tarclean $package $version

